create entity
curl --request POST \
--url https://api.example.com/api/v1/wallet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"name": "<string>",
"tags": [
"<string>"
],
"privateKey": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/wallet"
payload = {
"tenantId": 123,
"name": "<string>",
"tags": ["<string>"],
"privateKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenantId: 123, name: '<string>', tags: ['<string>'], privateKey: '<string>'})
};
fetch('https://api.example.com/api/v1/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainUid": "arbitrum",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"tenantId": 123,
"address": "<string>",
"name": "<string>",
"type": "DEFAULT",
"tags": [
"<string>"
]
}Wallet Route
create entity
POST
/
api
/
v1
/
wallet
create entity
Authorizations
Authentication
Body
application/json
The tenant ID associated with the extractor wallet
Network uid that associated with extractor wallet
Available options:
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana Name for the entity
Pattern:
\SStatus of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED Wallet type: DEFAULT or HSM
Available options:
DEFAULT, HSM Tags associated with the wallet
Private key for the wallet. Only allowed when type is DEFAULT
Response
200 - application/json
OK
Network uid that associated with extractor wallet
Available options:
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED The tenant ID associated with the extractor wallet
The direct address of the extractor wallet
Name for the entity
Wallet type: DEFAULT or HSM
Available options:
DEFAULT, HSM Tags associated with the wallet